afl (2.34b-4) experimental; urgency=medium

  * use "vfpv3" to set mfpu.

 -- Daniel Stender <stender@debian.org>  Fri, 18 Nov 2016 17:40:00 +0100

afl (2.34b-3) experimental; urgency=medium

  * deb/rules:
    + add -mfpu=vfp3 to $CFLAGS for clang on armhf (Closes: #841474).
    + pass $clang_cflags to make -C llvm_mode.
    + drop removal of -fstack-protector from $CFLAGS for clang (not needed
      anymore).

 -- Daniel Stender <stender@debian.org>  Mon, 14 Nov 2016 14:00:47 +0100

afl (2.34b-2) unstable; urgency=medium

  * Upload to unstable.

 -- Daniel Stender <stender@debian.org>  Sun, 25 Sep 2016 20:17:52 +0200

afl (2.34b-1) experimental; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Mon, 19 Sep 2016 08:38:38 +0200

afl (2.33b-6) experimental; urgency=medium

  * deb/rules: enable fstack-protector flag on all archs
    (Closes: #786599).
  * drop avoid-builtin-return-address.patch (not needed anymore).

 -- Daniel Stender <stender@debian.org>  Wed, 07 Sep 2016 16:36:02 +0200

afl (2.33b-5) experimental; urgency=medium

  * unfuzz avoid-builtin-return-address.patch.
  * build/run against llvm/clang 3.9.

 -- Daniel Stender <stender@debian.org>  Tue, 06 Sep 2016 14:03:41 +0200

afl (2.33b-4) unstable; urgency=medium

  * upload to unstable (Closes: #835352).

 -- Daniel Stender <stender@debian.org>  Fri, 02 Sep 2016 08:36:51 +0200

afl (2.33b-3) experimental; urgency=medium

  * deb/rules:
    + add missing empty override for dh_install.
    + don't try to remove non-empty /usr/lib/afl on non-x86 archs (ship
      libdislocator and libtokencap).

 -- Daniel Stender <stender@debian.org>  Mon, 29 Aug 2016 11:03:52 +0200

afl (2.33b-2) experimental; urgency=medium

  * build and ship libdislocator and libtokencap:
    + add make invocations for both companion libraries in deb/rules (build
      them with custom CFLAGS and LDFLAGS without -fPIE).
    + add libraries and READMEs to deb/afl{,-doc}-install.
    + add info on them in deb/afl.NEWS.
  * deb/afl-doc.install: include llvm_mode/README.llvm.
  * add deb/clean (with llvm_mode/afl-llvm-pass.dwo).

 -- Daniel Stender <stender@debian.org>  Sun, 28 Aug 2016 21:46:35 +0200

afl (2.33b-1) experimental; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Sat, 27 Aug 2016 21:58:43 +0200

afl (2.30b-1) experimental; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Sat, 13 Aug 2016 20:31:35 +0200

afl (2.28b-1) experimental; urgency=medium

  * New upstream release:
    + unfuzz avoid-builtin-return-address.patch.
  * build/run against/on llvm 3.8 (Closes: #828178):
    + update build and package deps in deb/control.
    + update hardcode-clang-version.patch.
  * deb/control:
    + put gnuplot into Suggests (thanks to Michał Staruch for pointer).
    + let binary depend on build-essential, and better in Depends.

 -- Daniel Stender <stender@debian.org>  Sun, 07 Aug 2016 14:57:25 +0200

afl (2.21b-1) unstable; urgency=medium

  * New upstream release.
  * deb/afl-doc.lintian-overrides: drop obsolete override.

 -- Daniel Stender <stender@debian.org>  Mon, 25 Jul 2016 20:12:38 +0200

afl (2.17b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Thu, 30 Jun 2016 10:26:30 +0200

afl (2.16b-1) unstable; urgency=medium

  * New upstream release.
  * Unfuzzed hardcode-clang-version.patch.

 -- Daniel Stender <stender@debian.org>  Fri, 24 Jun 2016 16:59:31 +0200

afl (2.14b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Fri, 10 Jun 2016 11:11:08 +0200

afl (2.13b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Tue, 17 May 2016 20:46:21 +0200

afl (2.12b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Thu, 05 May 2016 13:42:59 +0200

afl (2.11b-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: bumped Standards-Version to 3.9.8 (no changes needed).

 -- Daniel Stender <stender@debian.org>  Fri, 29 Apr 2016 10:26:13 +0200

afl (2.10b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Tue, 05 Apr 2016 08:49:52 +0200

afl (2.09b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <stender@debian.org>  Wed, 30 Mar 2016 10:28:45 +0200

afl (2.08b-4) unstable; urgency=medium

  * Added avoid-builtin-return-address.patch (Closes: #818288).

 -- Daniel Stender <stender@debian.org>  Thu, 24 Mar 2016 23:24:52 +0100

afl (2.08b-3) unstable; urgency=medium

  * build against llvm/clang 3.7 (changes in deb/control and
    hardcode-clang-version.patch).

 -- Daniel Stender <stender@debian.org>  Wed, 16 Mar 2016 09:45:13 +0100

afl (2.08b-2) unstable; urgency=medium

  * deb/afl-clang.install: install afl-lvm-rt*.o (using wildcard).

 -- Daniel Stender <stender@debian.org>  Tue, 15 Mar 2016 14:08:26 +0100

afl (2.08b-1) unstable; urgency=medium

  * New upstream release.
  * deb/rules: s/AFL_NOX86/AFL_NO_X86/.
  * deb/afl.install: added afl-analyze.
  * deb/afl-clang.install: added afl-llvm-rt-64.o.
  * Unfuzzed hardcode-clang-version.patch.
  * Updated deb/control, deb/copyright.
  * Manpages: added afl-analyze.1, updated all and cosmetics, removed
    dates.

 -- Daniel Stender <stender@debian.org>  Tue, 15 Mar 2016 12:48:07 +0100

afl (1.96b-2) unstable; urgency=medium

  * Build with doc package:
    + added package description to deb/control.
    + added deb/afl-doc.install.
    + removed items from deb/afl.install.
    + moved lintian-overrides to afl-doc.lintian-overrides, updated.
    + deb/rules: use dh_installdocs to contribute README, strip it from
      DOC_PATH in dh_auto_build override; spare doc package from buildinfo.
  * deb/control:
    + bumped standards to 3.9.7 (regarded changes in 12.3).
    + put Architecture fields upward.
  * deb/rules:
    + added DEB_BUILD_MAINT_OPTIONS with hardening=+all (for PIE and BINDNOW).
    + add README to excludes for dh_compress (Closes: #813503).
  * deb/changelog:
    + expanded copyright span.

 -- Daniel Stender <debian@danielstender.com>  Thu, 18 Feb 2016 12:08:19 +0100

afl (1.96b-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + restored Vcs-Git and Browser (requested for downstream development).
  * deb/rules:
    + strip ChangeLog in DOC_PATH by dh_auto_install override (saves override
      for dh_installchangelogs).
    + added some excludes to dh_compress, removed obsolete.
    + run dh_clang before gencontrol (still disabled).
    + checked appearance of overrides according to build sequence.
  * hardcode-clang-version.patch: removed Dgit stamp from patch header, arranged
    more strictly for DEP-3, toggled forwarded to "not-needed".
  * Dropped deb/source/options (setting gzip compression).

 -- Daniel Stender <debian@danielstender.com>  Tue, 02 Feb 2016 00:11:05 +0100

afl (1.95b-3) unstable; urgency=medium

  * Hardcode current LLVM/clang version in debian/ files and in the
    source (added hardcode-llvm-version.patch) to prevent crash of
    afl-clang-fast because default build-time and runtime version
    differs (Closes: #807578).

 -- Daniel Stender <debian@danielstender.com>  Thu, 07 Jan 2016 00:33:02 +0100

afl (1.95b-2) unstable; urgency=medium

  * Upload to unstable.
  * deb/rules: restored the portion on disabling -fstack-protector (the
    problem remains also with clang-3-6).

    (missing in the previous entry: experimental changes in deb/rules on
     disabling -fstack-protector on some architectures)

 -- Daniel Stender <debian@danielstender.com>  Thu, 03 Dec 2015 15:54:27 +0100

afl (1.95b-1) experimental; urgency=medium

  * New upstream release.
  * deb/control: dropped Vcs-Git and Browser (not collaboratively maintained,
    Git log not needed anymore for review of changes in sponsoring).
  * deb/rules: rewritten for dh sequencer.
  * Removed deb/gbp.conf (not needed now).

 -- Daniel Stender <debian@danielstender.com>  Wed, 02 Dec 2015 22:47:13 +0100

afl (1.94b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <debian@danielstender.com>  Sat, 03 Oct 2015 19:43:02 +0200

afl (1.92b-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Stender <debian@danielstender.com>  Tue, 08 Sep 2015 10:12:33 +0200

afl (1.89b-1) unstable; urgency=medium

  * New upstream release (Closes: #797681).
  * afl-showmap.1: corrected typo.

 -- Daniel Stender <debian@danielstender.com>  Wed, 02 Sep 2015 18:43:08 +0200

afl (1.87b-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: although clang-3.5 on arm64 won't (see #796343), don't
    disable any arch.
  * deb/rules: let dh_installdocs handle experimental/persistent_demo, not
    deb/afl-clang.install.
  * deb/watch: better to watch for multiple common extensions.
  * Added deb/gbp.conf.
  * Removed empty deb/patches.
  * Wrap-and-sort on deb/afl{,-clang}.manpages.

 -- Daniel Stender <debian@danielstender.com>  Wed, 26 Aug 2015 21:26:32 +0200

afl (1.86b-1) unstable; urgency=medium

  * New upstream release.
  * Change of maintainer (Closes: #786806).
  * Added manpages (deb/manpages, deb/afl{,-clang}.manpages and
    dh_installman to deb/rules, Closes: #793905).
  * deb/control:
    + don't build on arm64 temporarily due to #796343.
    + bumped debhelper level to 9 (deb/compat along).
    + added gnuplot to Recommends.
    + added Vcs- fields (put package into collab-maint).
    + moved Homepage: further down.
    + strip trailing whitespace [Jakub Wilk].
  * deb/copyright:
    + added myself to copyright owners of debian/.
    + connect year figures with hyphen.
  * deb/rules:
    + added s390x to -fstack-protector disabled archs (see #785365).
  * Put experimental/persistent_demo into afl-clang package (deb/rules,
    deb/afl-clang.install, Closes: #794293).
  * Wrap-and-sort -a -s.

 -- Daniel Stender <debian@danielstender.com>  Tue, 25 Aug 2015 15:41:37 +0200

afl (1.83b-1) unstable; urgency=low

  * New upstream release:
    + Fix a harmless but annoying race condition in persistent mode.
    + Tweak AFL_PERSISTENT to force AFL_NO_VAR_CHECK.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 24 Jun 2015 16:36:42 +0200

afl (1.81b-1) unstable; urgency=low

  * New upstream release:
    + Add persistent mode for in-process fuzzing.
    + Change the in-place resume code to preserve crashes/README.txt.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 11 Jun 2015 11:24:47 +0200

afl (1.80b-1) unstable; urgency=low

  * New upstream release:
    + Make afl-cmin tolerant of whitespaces in filenames.
    + Add support for AFL_EXIT_WHEN_DONE (causes afl-fuzz to terminate when
      all existing paths have been fuzzed and there were no new finds for
      a while).

 -- Jakub Wilk <jwilk@debian.org>  Wed, 03 Jun 2015 17:09:11 +0200

afl (1.79b-1) unstable; urgency=low

  * New upstream release:
    + Replace dictionaries with file-based variants.
    + Fix reporting token sizes for file-based dictionaries.
    + Added support for dictionary levels.
  * Disable stack protector on kfreebsd-*, powerpc and ppc64el for the clang
    compiler (see bug #785365).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 23 May 2015 12:04:02 +0200

afl (1.77b-1) unstable; urgency=low

  * New upstream release:
    + Extend the -x option to support single-file dictionaries.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 10 May 2015 23:16:22 +0200

afl (1.76b-1) unstable; urgency=low

  * New upstream release:
    + afl-clang-fast now defines __AFL_HAVE_MANUAL_INIT.
    + Fix a libtool-related bug with afl-clang-fast that would make some
      ./configure invocations generate incorrect output.
    + Reduce the number of duplicate execs during deterministic checks.
    + Reduce the likelihood of duplicate non-deterministic execs.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 05 May 2015 13:37:31 +0200

afl (1.74b-1) unstable; urgency=low

  * New upstream release:
    + Fix a bug in effector maps that could sometimes cause AFL to fuzz
      slightly more than necessary; and in rare circumstances, could lead to
      segmentation fault.
    + Improve afl-tmin to use /tmp if cwd is not writeable.
    + In LLVM mode, insert the instrumentation even when AFL_DONT_OPTIMIZE=1
      is set.
  * Fix version constraints in afl-clang's Breaks and Replaces.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 02 May 2015 15:50:54 +0200

afl (1.72b-1) unstable; urgency=low

  * New upstream release:
    + Add last path, crash and hang times to fuzzer_stats.
  * Enable LLVM-based instrumentation.
    + Add llvm-dev and clang to Build-Depends.
    + Add new binary package “afl-clang”, containing both the old
      afl-clang(++) and LLVM-based afl-clang-fast(++).
    + Make “afl” recommend “afl-clang”.
    + Make both binary packages “Architecture: any”.
    + Update debian/rules and add *.install files to support “afl-clang”.
    + Update DEP-8 tests to support “afl-clang”.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 25 Apr 2015 20:06:33 +0200

afl (1.70b-1) unstable; urgency=low

  * New upstream release:
    + Refactor afl-tmin to reduce the number of execs in common use cases.
    + Add MEM_BARRIER() to afl-showmap and afl-tmin, just to be safe.
    + Remove build date and time from banners to give people deterministic
      builds.
    + Fix a minor PRNG glitch that would make the first seconds of a fuzzing
      job deterministic.
    + Modify resumption code to reuse the original timeout value when resuming
      a session if -t is not given. This prevents timeout creep in continuous
      fuzzing.
  * Extend the DEP-8 tests.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 18 Apr 2015 18:41:07 +0200

afl (1.58b-1) unstable; urgency=low

  * Upload to unstable (closes: #781802).
    Thanks to Ondřej Surý for the bug report.
  * New upstream release:
    + Tweak afl-gcc to use BIN_PATH instead of a fixed string in help
      messages (closes: #779921). Thanks to Ph. Marek for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 03 Apr 2015 23:16:47 +0200

afl (1.56b-1) experimental; urgency=low

  * New upstream release:
    + Make it possible to properly override LD_BIND_NOW.
    + Fix a bug in AFL_DUMB_FORKSRV.
    + Fix a bug with afl-showmap opening /dev/null with O_RDONLY when
      running in quiet mode.
    + Add support for file format postprocessors.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 05 Mar 2015 12:51:32 +0100

afl (1.50b-1) experimental; urgency=low

  * New upstream release:
    + Save original command line in fuzzer_stats and crashes/README.txt. Also
      save fuzzer version in fuzzer_stats.
    + Improve file descriptor handling.
    + Fix a flock() bug that would prevent dir reuse errors from kicking
      in every now and then.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 26 Feb 2015 20:08:57 +0100

afl (1.47b-1) experimental; urgency=low

  * New upstream release:
    + Replace zero-sized files with symlinks in the variable behavior state
      dir to simplify examining the relevant test cases.
    + Change the period of limited-range block ops from 5 to 10 minutes.
    + Improve instrumentation performance on 32-bit systems by getting rid of
      xor-swap and tweaking alignment.
    + Made path depth numbers more accurate with imported test cases.
    + Fix a bug with afl-cmin in -Q mode complaining about binary being not
      instrumented.
    + Fix another bug with argv handling for afl-fuzz in -Q mode.
    + Improve the use of colors when showing crash counts in -C mode.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 19 Feb 2015 23:57:11 +0100

afl (1.44b-1) experimental; urgency=low

  * New upstream release:
    + Exclude crashing inputs in afl-cmin by default.
    + Add option (-C) for keeping only crashing inputs in afl-cmin.
    + Make the afl-cmin output dir default to 0700, not 0755, to be consistent
      with afl-fuzz; document the rationale for 0755 in afl-plot.
    + Lower the output dir reuse time limit to 25 minutes.
    + Make afl-showmap accept -o /dev/null.
    + Add support for crash / hang info in exit codes of afl-showmap.
    + Tweak block operation scaling to also factor in ballpark run time
      in cases where queue passes take very little time.
    + Improve the documentation.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 11 Feb 2015 20:13:55 +0100

afl (1.40b-1) experimental; urgency=low

  * New upstream release:
    + Add effector maps, which detect regions that do not seem to respond to
      bitflips and subsequently exclude them from more expensive steps
      (arithmetics, known ints, etc). This should offer significant
      performance improvements with quite a few types of text-based formats,
      reducing the number of deterministic execs by a factor of 2 or so.
    + Clean up memory limit handling in afl-cmin.
    + Switch from PID checking to flock() to detect running sessions.
    + Make improvements to UI refresh rates and exec/sec stats to make them
      more stable.
    + Add the ability to skip inputs by sending SIGUSR1 to the fuzzer.
    + Change the code to reset splicing perf scores between runs to keep
      them closer to intended length.
    + Reduce the minimum value of -t to 5 for afl-fuzz (~200 exec/sec)
      and to 10 for auxiliary tools (due to the absence of a fork server).
    + Switch to more aggressive default timeouts (rounded up to 25 ms
      versus 50 ms - ~40 execs/sec) and make several other cosmetic changes
      to the timeout code.
    + Switch to smaller block op sizes during the first passes over the
      queue. Helps keep test cases small.
    + Add memory barrier for run_target(), just in case compilers get
      smarter than they are today.
    + Update the documentation.
  * Drop afl-cmin-bash.diff; applied upstream.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 08 Feb 2015 11:56:02 +0100

afl (1.36b-1) experimental; urgency=low

  * New upstream release:
    + Improve the naming of test cases when “orig:” is already present in the
      file name.
    + Make substantial improvements to technical_details.txt.
    + Add -s (summary) option to afl-whatsup.
    + Add a sanity check in afl-tmin to detect minimization to zero len or
      excess hangs.
    + Fix alphabet size counter in afl-tmin.
    + Slightly improve the handling of -B in afl-fuzz.
    + Fix process crash messages with -m none.
    + Add support for black-box instrumentation of binary-only code.
      This is not enabled in Debian for the time being.
    + Modify afl-tmin and afl-showmap to search $PATH for binaries.
    + Fix an off-by-one bug in queue limit check when resuming sessions,
      which could cause null pointer dereference.
  * Add patch (afl-cmin-bash.diff) to fix the afl-cmin shebang.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 01 Feb 2015 12:47:32 +0100

afl (1.28b-1) experimental; urgency=low

  * New upstream release:
    + Improve exec failure detection in afl-fuzz and afl-showmap.
    + Improve Ctrl-C handling in afl-showmap.
    + Rework afl-showmap to support normal options, including -o, -q, -e.
      Also add support for timeouts and memory limits.
    + Add afl-tmin, a handy instrumentation-enabled minimizer.
    + Add AFL_DUMB_FORKSRV. This works only in -n mode and allows afl-fuzz to
      run with "dummy" fork servers that don't output any instrumentation, but
      follow the same protocol.
    + Rename AFL_SKIP_CHECKS as AFL_SKIP_BIN_CHECK.
    + Add afl-cmin, a corpus minimization tool (formerly known as
      minimize_corpus.sh).
    + Retire AFL_EDGES_ONLY.
    + Introduce afl-getcpu, an experimental tool to empirically measure
      CPU preemption rates.
    + Introduce afl-whatsup, a simple tool for querying the status of local
      synced instances of afl-fuzz.
    + Add technical_details.txt to the documentation.
    + Make a tweak to the instrumentation to preserve the directionality
      of tuples (i.e., A -> B != B -> A) and to maintain the identity of tight
      loops (A -> A). You need to recompile targeted binaries to leverage this.
  * Update DEP-8 tests.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 26 Jan 2015 19:34:33 +0100

afl (1.18b-1) experimental; urgency=low

  * New upstream release:
     + Add AFL_NO_CPU_RED.
     + Tweak the havoc scaling logic added in 1.12b.
     + Add AFL_NO_VAR_CHECK to speed up resumption and inhibit variable path
       warnings for some programs.
     + Make the trimmer run even for variable paths.
     + Make the UI a bit more descriptive by adding “n/a” instead of “0” in a
       few corner cases.
     + Add code to make resumption pick up from the last known offset in the
       queue, rather than always rewinding to the start.
     + Improve the consistency of saving fuzzer_stats, bitmap info, and
       auto-dictionaries when aborting fuzzing sessions.
     + Switch to tighter timeout control for slow programs (3x rather than 5x
       average exec speed at init).
     + Make several noticeable performance improvements to deterministic
       arithmetic and known int steps.
     + Add -t nn+ mode for soft-skipping timing-out paths.
  * Update the copyright file.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 21 Jan 2015 11:03:22 +0100

afl (1.12b-1) experimental; urgency=low

  * New upstream release.
    + Improve dictionary generation to avoid runs of identical bytes.
    + Add havoc cycle scaling to help with slow binaries in -d mode.
    + Add AFL_SYNC_FIRST for afl-fuzz.
    + Switch to more robust box drawing codes.
    + Create faster 64-bit variants of several critical-path bitmap functions.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 17 Jan 2015 23:48:19 +0100

afl (1.11b-1) experimental; urgency=low

  * New upstream release.
    + Revise the dictionary behavior to use insertion and overwrite in
      deterministic steps, rather than just the latter. This improves coverage
      with SQL and the like.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 13 Jan 2015 11:07:18 +0100

afl (1.08b-1) experimental; urgency=low

  * New upstream release.
    + Add code that automatically finds and extracts syntax tokens from the
      input corpus.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 10 Jan 2015 15:43:39 +0100

afl (1.06b-1) experimental; urgency=low

  * New upstream release.
    + Improve error reporting.
    + Tweak the odds of fuzzing non-favored test cases to make sure that
      baseline coverage of all inputs is reached sooner.
  * Don't compress the minimize_corpus script.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 02 Jan 2015 23:38:13 +0100

afl (1.00b-1) experimental; urgency=low

  * New upstream release:
    + Slightly improve performance of the splicing code.
    + Fall back to copying when hardlinking input files fail.
    + Add support for in-place resume (-i-).
    + Add support for extra dictionaries.
    + Fix a minor bug in number formatting routines used by the UI.
    + Fix a very rare glitch when running instrumenting 64-bit code that makes
      heavy use of XMM registers that are also touched by glibc.
    + Add support for "afl-as --version".
    + Improve calibration timeouts for resumed scans.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 23 Dec 2014 21:59:58 +0100

afl (0.90b-1) experimental; urgency=low

  * New upstream release:
    + Move to an algorithm where paths are selected as preferred primarily
      based on size and speed, rather than bitmap coverage. This should offer
      noticeable performance gains in many use cases.
    + Refactor path calibration code; calibration now takes place as soon as
      a test case is discovered, to facilitate better prioritization decisions
      later on.
    + Change the way of marking variable paths to avoid .state metadata
      inconsistencies.
    + Make sure that calibration routines always create a new test case to
      avoid hypothetical problems with utilities that modify the input file.
    + Add bitmap saturation to fuzzer stats and plot data.
  * Remove an accidentally included, unused patch.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 15 Dec 2014 14:56:54 +0100

afl (0.89b-1) experimental; urgency=low

  * New upstream release.
  * Remove commented line from debian/rules.
  * Update debian/copyright:
    + Add the Upstream-Contact field.
    + Update the Source field.
  * Update Lintian overrides.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 11 Dec 2014 18:09:45 +0100

afl (0.65b-1) experimental; urgency=low

  * Initial release (closes: #766760).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 24 Nov 2014 10:07:02 +0100
